> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Standard Transfer Async v1.2

> Use this API to initiate an amount transfer request at Cashfree by providing beneficiary id, amount, and transfer id. This is an async transfer request.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Transfers V2](/api-reference/payouts/v2/transfers-v2/get-transfer-status-v2). </Warning>

Once you trigger the requestAsyncTransfer API, Cashfree Payments verifies your request and returns the Cashfree referenceId. The transfer to beneficiary account will be attempted within the next 60 seconds and you may query the transfer status after 60 seconds.

Use this API to process very high volumes.

**Benefits**:

1. The API response is much faster for the async transfer endpoint. The async transfer response takes \<100 ms as compared to a median value of 2-5 sec for the sync payout transfer API.
2. The asynchronous API can handle a higher TPM (transactions per minute) as compared to the synchronous API. The async API allows us to handle up to 1000 transactions per minute.

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Sub code | Status  | Message                                                          | Next action                                                       |
  | :------- | :------ | :--------------------------------------------------------------- | :---------------------------------------------------------------- |
  | 200      | SUCCESS | Transfer completed successfully.                                 | -                                                                 |
  | 201      | PENDING | Transfer Scheduled for next working day.                         | -                                                                 |
  | 201      | PENDING | Awaiting confirmation from beneficiary bank.                     | -                                                                 |
  | 201      | PENDING | Transfer request pending at the bank.                            | -                                                                 |
  | 202      | PENDING | Request received. Please check status after some time.           | -                                                                 |
  | 400      | ERROR   | Transfer amount is less than minimum amount of Rs.1              | Enter a transfer amount that is equal to or more than Rs. 1.      |
  | 400      | ERROR   | Not enough available balance in the account.                     | Retry with sufficient balance in the account.                     |
  | 400      | ERROR   | Transfer Id already exists.                                      | Enter a different transfer ID.                                    |
  | 400      | ERROR   | Please wait 30 minutes after adding the beneficiary.             | -                                                                 |
  | 400      | ERROR   | Transfer amount is less than minimum amount of Rs. 100.          | Enter a transfer amount that is equal to or more than Rs. 100.    |
  | 400      | ERROR   | Transfer amount is greater than the maximum amount of Rs.100000. | Enter a transfer amount that is equal to or less than Rs. 100000. |
  | 400      | ERROR   | Transfer attempt failed at the bank.                             |                                                                   |
  | 400      | ERROR   | Transfer to this beneficiary not allowed.                        | Enter a different beneficiary ID.                                 |
  | 400      | ERROR   | Transfer limit for your account exceeded.                        |                                                                   |
  | 400      | ERROR   | Transfer limit for beneficiary exceeded.                         |                                                                   |
  | 403      | ERROR   | Token is not valid                                               | Verify the generated token.                                       |
  | 404      | ERROR   | Beneficiary does not exist.                                      | Enter a valid beneficiary ID.                                     |
  | 412      | ERROR   | Transfer mode not enabled for the account.                       |                                                                   |
  | 422      | ERROR   | Please provide a valid beneId                                    | Enter a valid beneficiary ID.                                     |
  | 422      | ERROR   | Invalid Amount Passed. Only 2 decimal places are allowed.        | Enter an amount with a maximum of only 2 decimal places.          |
  | 422      | ERROR   | Please provide a valid transferId.                               | Enter a valid transfer ID.                                        |
  | 422      | ERROR   | Invalid IFSC code provided for bank account.                     | Enter a valid IFSC.                                               |
  | 422      | ERROR   | Invalid bank account number or IFSC provided.                    | Enter a valid bank account number and IFSC.                       |
</Accordion>


## OpenAPI

````yaml post /payout/v1.2/requestAsyncTransfer
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1.2/requestAsyncTransfer:
    post:
      summary: Standard Transfer Async v1.2
      description: >-
        Use this API to initiate an amount transfer request at Cashfree by
        providing beneficiary id, amount, and transfer id. This is an async
        transfer request.
      operationId: standard-transfer-async-v1-21
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_2_requestAsyncTransfer_body'
      responses:
        '200':
          description: Response indicating transfer initiation or error status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_22'
              examples:
                TransferInitiated:
                  summary: Transfer Accepted
                  value:
                    status: ACCEPTED
                    subCode: '201'
                    message: Transfer Initiated
                    data:
                      referenceId: '107260'
                InvalidRemarksError:
                  summary: Invalid Remarks
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Remarks is invalid
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
      deprecated: false
      security: []
components:
  schemas:
    v1_2_requestAsyncTransfer_body:
      required:
        - amount
        - beneId
        - transferId
      type: object
      properties:
        beneId:
          type: string
          description: Beneficiary ID. Alphanumeric characters allowed.
        amount:
          type: number
          description: Amount to be transferred. Decimal allowed (>= 1.00)
          format: float
        transferId:
          type: string
          description: >-
            A unique id to identify this transfer. Alphanumeric and underscore
            (_) allowed (40 character limit).
        transferMode:
          type: string
          description: >-
            It is the mode of transfer. Allowed values are: banktransfer, neft,
            imps, rtgs, upi, paytm, and amazonpay. The default transferMode is
            banktransfer.
        paymentInstrumentId:
          type: string
          description: >-
            Specify the fund source ID from where you want the amount to be
            debited.
        remarks:
          type: string
          description: >-
            Additional remarks, if any. alphanumeric and white spaces allowed
            (70 characters limit)
    inline_response_200_22:
      oneOf:
        - type: object
          properties:
            status:
              type: string
              example: ACCEPTED
            subCode:
              type: string
              example: '201'
            message:
              type: string
              example: Transfer Initiated
            data:
              $ref: '#/components/schemas/inline_response_200_22_data'
        - type: object
          properties:
            status:
              type: string
              example: ERROR
            subCode:
              type: string
              example: '422'
            message:
              type: string
              example: Remarks is invalid
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_200_22_data:
      type: object
      properties:
        referenceId:
          type: string
          example: '107260'

````